<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.0.3.RELEASE</version>
        <relativePath/>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <groupId>i3plus.pojo</groupId>
    <artifactId>i3plus-pojo</artifactId>
    <packaging>pom</packaging>
    <version>1.0-DEV-SNAPSHOT</version>
    <modules>
        <module>modules/i3plus-pojo-base</module>
        <module>modules/i3plus-pojo-platform</module>
        <module>modules/i3plus-pojo-model</module>
        <module>modules/i3plus-pojo-mes</module>
        <module>modules/i3plus-pojo-wms</module>
        <module>modules/i3plus-pojo-form</module>
        <module>modules/i3plus-pojo-hardswitch</module>
        <module>modules/i3plus-pojo-jobflow</module>
        <module>modules/i3plus-pojo-report</module>
        <module>modules/i3plus-pojo-softswitch</module>
        <module>modules/i3plus-pojo-workflow</module>
        <module>modules/i3plus-pojo-mes-pcn</module>
        <module>modules/i3plus-pojo-sweb</module>
        <module>modules/i3plus-pojo-andon</module>
        <module>modules/i3plus-pojo-aps</module>
        <module>modules/i3plus-pojo-lac</module>
        <module>modules/i3plus-pojo-ptl</module>
        <module>modules/i3plus-pojo-ics</module>
        <module>modules/i3plus-pojo-mdm</module>
    </modules>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
            <exclusions>
                <exclusion>
                    <artifactId>spring-boot-starter-logging</artifactId>
                    <groupId>org.springframework.boot</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
        </dependency>

        <!-- swagger -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>2.9.2</version>
            <exclusions>
                <exclusion>
                    <groupId>io.swagger</groupId>
                    <artifactId>swagger-models</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>io.swagger</groupId>
            <artifactId>swagger-models</artifactId>
            <version>1.5.21</version>
        </dependency>

        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.9.2</version>
        </dependency>

        <!-- 简化方法 -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.16.10</version>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-base</artifactId>
                <version>${project.version}</version>
            </dependency>


            <dependency>
                <groupId>i3plus.platform</groupId>
                <artifactId>i3plus-platform-common</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-model</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-mes</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-wms</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-platform</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-report</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-form</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-andon</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-softswitch</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>i3plus.pojo</groupId>
                <artifactId>i3plus-pojo-lac</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- spring-json转换 -->
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>2.9.6</version>
                <scope>compile</scope>
            </dependency>

            <!-- shiro -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-core</artifactId>
                <version>1.4.0</version>
            </dependency>


            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>1.2.49</version>
            </dependency>
            <dependency>
                <groupId>com.thoughtworks.xstream</groupId>
                <artifactId>xstream</artifactId>
                <version>1.4.11.1</version>
            </dependency>
        </dependencies>
    </dependencyManagement>


    <properties>
        <java.version>1.8</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <!-- 私有仓库引用配置 -->
    <repositories>
        <repository>
            <id>nexus</id>
            <url>http://mvn.estsh.com/repository/maven-public/</url>
        </repository>
    </repositories>

    <!-- 私有仓库Jar 包更新配置 -->
    <distributionManagement>
        <repository>
            <id>maven-releases</id>
            <name>Nexus ReleaseRepository</name>
            <url>http://mvn.estsh.com/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>maven-snapshots</id>
            <name>Nexus SnapshotRepository</name>
            <url>http://mvn.estsh.com/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <!--<build>-->
    <!--<plugins>-->
    <!--<plugin>-->
    <!--<groupId>org.springframework.boot</groupId>-->
    <!--<artifactId>spring-boot-maven-plugin</artifactId>-->
    <!--</plugin>-->

    <!--&lt;!&ndash;  添加编译插件 &ndash;&gt;-->
    <!--<plugin>-->
    <!--<groupId>org.apache.maven.plugins</groupId>-->
    <!--<artifactId>maven-compiler-plugin</artifactId>-->
    <!--<version>3.5.1</version>-->
    <!--<configuration>-->
    <!--<source>1.8</source>-->
    <!--<target>1.8</target>-->
    <!--<encoding>UTF-8</encoding>-->
    <!--</configuration>-->
    <!--</plugin>-->
    <!--</plugins>-->
    <!--</build>-->
    <profiles>
        <profile>
            <id>dev</id>
            <properties>
                <profileActive>DEV</profileActive>
            </properties>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <id>test</id>
            <properties>
                <profileActive>TEST</profileActive>
            </properties>
        </profile>
        <profile>
            <id>docker</id>
            <properties>
                <profileActive>DOCKER</profileActive>
            </properties>
        </profile>
        <profile>
            <id>prod</id>
            <properties>
                <profileActive>PROD</profileActive>
            </properties>
        </profile>
    </profiles>
    <build>
        <finalName>${project.artifactId}-${project.version}</finalName>
    </build>

</project>